package com.jpsoft.shinestar.modules.base.service;

import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.base.entity.EmployeeInfo;
import com.jpsoft.shinestar.modules.common.dto.Sort;

import java.util.List;
import java.util.Map;

public interface EmployeeInfoService {
	EmployeeInfo get(Long id);
	boolean exist(Long id);
	int insert(EmployeeInfo model);
	int update(EmployeeInfo model);
	int delete(Long id);
	List<EmployeeInfo> list();
	Page<EmployeeInfo> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, List<Sort> sortList);

    List<EmployeeInfo> findByArray(String[] split);

    EmployeeInfo findByOpenId(String openId);
}